Package org.jCharts.types

# Class ChartType

java.lang.Object
org.jCharts.types.IntType
org.jCharts.types.ChartType

All Implemented Interfaces:
  `Serializable`

public class ChartType extends IntType
Chart IntType constants to be used on data sets to specify how they should be plotted.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ChartType`
`AREA`
`static final ChartType`
`AREA_STACKED`
`static final ChartType`
`BAR`
`static final ChartType`
`BAR_CLUSTERED`
`static final ChartType`
`BAR_STACKED`
`static final ChartType`
`LINE`
`static final ChartType`
`POINT`
`static final ChartType`
`SCATTER_PLOT`
`private boolean`
`stackedData`
`static final ChartType`
`STOCK`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`ChartType(int typeCode, boolean stackedData)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(ChartType chartType)`
Returns flag indicating whether passed ChartType is equal to this one
`boolean`
`isStacked()`
Returns flag indicating whether chart type has stacked data

### Methods inherited from class org.jCharts.types.IntType

`getInt`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### BAR

public static final ChartType BAR

### BAR_CLUSTERED

public static final ChartType BAR_CLUSTERED

### BAR_STACKED

public static final ChartType BAR_STACKED

### LINE

public static final ChartType LINE

### POINT

public static final ChartType POINT

### AREA

public static final ChartType AREA

### AREA_STACKED

public static final ChartType AREA_STACKED

### STOCK

public static final ChartType STOCK

### SCATTER_PLOT

public static final ChartType SCATTER_PLOT

### stackedData

private boolean stackedData

## Constructor Details

### ChartType

private ChartType(int typeCode, boolean stackedData)

## Method Details

### isStacked

public boolean isStacked()
Returns flag indicating whether chart type has stacked data

Returns:
  boolean

### equals

public boolean equals(ChartType chartType)
Returns flag indicating whether passed ChartType is equal to this one

Returns:
  boolean